For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • DELDelete Model Sync
      • PATCHUpdate Sync
      • POSTActivate Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETList Executions
        • GETGet Execution
        • GETGet Execution Log Urls
        • GETGet Execution Log
Logo
Log inBook a demo
API ReferenceModel SyncExecutions

Get Execution Log

GET
https://app.polytomic.com/api/syncs/:sync_id/executions/:id/:type/:filename
GET
/api/syncs/:sync_id/executions/:id/:type/:filename
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/0ecd09c1-b901-4d27-9053-f0367c427254/records/file.json \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"

Redirects to a signed URL for a specific log file produced by a model sync execution.

This endpoint responds with a 302 Found redirect; the signed URL is returned in the Location header, and the response body is empty. The URL expires after a short period, so call this endpoint again to obtain a fresh URL if it expires before you download the file.

Was this page helpful?
Previous

List Webhooks

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

sync_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"
typeenumRequired
filenamestringRequired

Headers

X-Polytomic-VersionstringRequired

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error